# applyOnLoseAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyOnLoseAbAttrs

- applyOnLoseAbAttrs(
  pokemon: default ,
  passive?: boolean,
  simulated?: boolean,
  ...args: any[],
  ): void

  Clears primal weather/neutralizing gas during the turn if `pokemon`'s ability corresponds to one

  #### Parameters

  - pokemon: default
  - passive: boolean = false
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:6229